<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateZaposlenTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateZaposlenLabel_korisnikId}" for="korisnikId" />
                    <h:inputText id="korisnikId" value="#{zaposlenController.selected.korisnikId}" title="#{bundle.CreateZaposlenTitle_korisnikId}" required="true" requiredMessage="#{bundle.CreateZaposlenRequiredMessage_korisnikId}"/>
                    <h:outputLabel value="#{bundle.CreateZaposlenLabel_angazovanOd}" for="angazovanOd" />
                    <h:inputText id="angazovanOd" value="#{zaposlenController.selected.angazovanOd}" title="#{bundle.CreateZaposlenTitle_angazovanOd}" required="true" requiredMessage="#{bundle.CreateZaposlenRequiredMessage_angazovanOd}">
                        <f:convertDateTime pattern="MM/dd/yyyy" />
                    </h:inputText>
                    <h:outputLabel value="#{bundle.CreateZaposlenLabel_angazovanDo}" for="angazovanDo" />
                    <h:inputText id="angazovanDo" value="#{zaposlenController.selected.angazovanDo}" title="#{bundle.CreateZaposlenTitle_angazovanDo}" >
                        <f:convertDateTime pattern="MM/dd/yyyy" />
                    </h:inputText>
                    <h:outputLabel value="#{bundle.CreateZaposlenLabel_brojRacuna}" for="brojRacuna" />
                    <h:inputText id="brojRacuna" value="#{zaposlenController.selected.brojRacuna}" title="#{bundle.CreateZaposlenTitle_brojRacuna}" required="true" requiredMessage="#{bundle.CreateZaposlenRequiredMessage_brojRacuna}"/>
                    <h:outputLabel value="#{bundle.CreateZaposlenLabel_korisnik}" for="korisnik" />
                    <h:selectOneMenu id="korisnik" value="#{zaposlenController.selected.korisnik}" title="#{bundle.CreateZaposlenTitle_korisnik}" required="true" requiredMessage="#{bundle.CreateZaposlenRequiredMessage_korisnik}">
                        <f:selectItems value="#{korisnikController.itemsAvailableSelectOne}"/>
                    </h:selectOneMenu>
                    <h:outputLabel value="#{bundle.CreateZaposlenLabel_pozicijaId}" for="pozicijaId" />
                    <h:selectOneMenu id="pozicijaId" value="#{zaposlenController.selected.pozicijaId}" title="#{bundle.CreateZaposlenTitle_pozicijaId}" required="true" requiredMessage="#{bundle.CreateZaposlenRequiredMessage_pozicijaId}">
                        <f:selectItems value="#{pozicijaController.itemsAvailableSelectOne}"/>
                    </h:selectOneMenu>
                    <h:outputLabel value="#{bundle.CreateZaposlenLabel_zvanjeId}" for="zvanjeId" />
                    <h:selectOneMenu id="zvanjeId" value="#{zaposlenController.selected.zvanjeId}" title="#{bundle.CreateZaposlenTitle_zvanjeId}" required="true" requiredMessage="#{bundle.CreateZaposlenRequiredMessage_zvanjeId}">
                        <f:selectItems value="#{zvanjeController.itemsAvailableSelectOne}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{zaposlenController.create}" value="#{bundle.CreateZaposlenSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{zaposlenController.prepareList}" value="#{bundle.CreateZaposlenShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreateZaposlenIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
